## FoDocGP

FoDocGP —

## Synopsis

    struct      FoDocGP;
    struct      FoDocGPClass;
    FoDoc*      fo_doc_gp_new                   (void);
    void        fo_doc_gp_open_file             (FoDoc *fo_doc,
                                                 const gchar *filename,
                                                 GError **error);

## Description

## Details

### struct FoDocGP

    struct FoDocGP;

### struct FoDocGPClass

    struct FoDocGPClass;

### fo_doc_gp_new ()

    FoDoc*      fo_doc_gp_new                   (void);

Creates a new FoDoc.

Returns : | the newly created FoDoc.

### fo_doc_gp_open_file ()

    void        fo_doc_gp_open_file             (FoDoc *fo_doc,
                                                 const gchar *filename,
                                                 GError **error);

Open `filename` as the output file for `fo_doc`.

`fo_doc` : | FoDoc.
`filename` : | File to open as output.
`error` : | GError that is set if an error occurs.